Subject: [precis] [IANA #754906] Last Call: <draft-ietf-precis-framework-15.txt> (PRECIS Framework: Preparation and Comparison of Internationalized Strings in Application Protocols) to Proposed Standard

From: "Pearl Liang via RT" <[email-masked]>
Date: Tue, 22 Apr 2014 15:53:55 +0000

(BEGIN IANA LAST CALL COMMENTS)

IESG/Authors/WG Chairs:

IANA has reviewed draft-ietf-precis-framework.  Authors should review the comments and/or questions below.  Please report any inaccuracies and respond to any questions as soon as possible.

IANA's reviewer has the following comments/questions:

IANA has a few questions about the IANA actions requested in this document.

This document requests the creation of three registries in support of the PRECIS Framework.  As far as IANA can tell, there have never been registries created for PRECIS in the past.

IANA Question --> should the three registries that are requested in this document be combined into a singlee, high-level PRECIS master registry where the three new registries would reside?  Is PRECIS a brand new parameter, or a new protocol of an existing one?  If the former that PRECIS is a brand new parameter, what’s the exact name of the new registry?  Is Preparation and Comparison of Internationalized Strings in Application Protocols?

IANA understands that, upon approval of this document, there are three actions which IANA must complete.

First, IANA will create a new registry called the PRECIS Derived Property Value Registry. This new registry will contain the Derived Properties for the versions of Unicode that are released after (and including) version 6.3 of Unicode. The derived property value is to be calculated in cooperation with a designated expert [RFC5226] according to the rules specified under Section 7 and Section 8 in the current document. The registry will only be created when a designated expert is made available to assist IANA in the initiation of the registry. Changes to the rules that are used to generate the table of derived property values, and thus the registry itself, are done through IETF Review as defined by RFC 5226.

QUESTION: Are the authors intended to get an DE before IESG Approval?

Second, IANA will create a new registry called the PRECIS Base Classes Registry. This new registry has a registration template in the document submitted for approval. Maintenance of the registry will be through RFC Required, as defined in RFC 5226.

There are two initial registrations in the registry, as follows:

Base Class: FreeformClass.
Description: A sequence of letters, numbers, symbols, spaces, and
other code points that is used for free-form strings.
Specification: Section 3.3 of [ RFC-to-be ].

Base Class: IdentifierClass.
Description: A sequence of letters, numbers, and symbols that is
used to identify or address a network entity.
Specification: Section 3.3 of [ RFC-to-be ].

Third, IANA will create a new registry called the PRECIS Profiles Registry. This new registry has a registration template in the document submitted for approval. Maintenance of the registry will be through Expert Review, as defined in RFC 5226.

IANA Question -> Are there to be any initial registrations in the new PRECIS Profiles Registry?

IANA understands that these three actions are the only ones that need to be completed upon approval of this document.

Note:  The actions requested in this document will not be completed 
until the document has been approved for publication as an RFC. 
This message is only to confirm what actions will be performed.  

Thanks,

Pearl Liang
ICANN/IANA

(END IANA LAST CALL COMMENTS)

On Wed Apr 09 19:08:34 2014, [email-masked] wrote:
> 
> The IESG has received a request from the Preparation and Comparison of
> Internationalized Strings WG (precis) to consider the following document:
> - 'PRECIS Framework: Preparation and Comparison of Internationalized
>    Strings in Application Protocols'
>   <draft-ietf-precis-framework-15.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-04-23. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    Application protocols using Unicode characters in protocol strings
>    need to properly prepare such strings in order to perform valid
>    comparison operations (e.g., for purposes of authentication or
>    authorization).  This document defines a framework enabling
>    application protocols to perform the preparation and comparison of
>    internationalized strings ("PRECIS") in a way that depends on the
>    properties of Unicode characters and thus is agile with respect to
>    versions of Unicode.  As a result, this framework provides a more
>    sustainable approach to the handling of internationalized strings
>    than the previous framework, known as Stringprep (RFC 3454).  This
>    document obsoletes RFC 3454.
> 
> This document makes a normative reference to RFC 20, which
> predates document statuses and therefore may be a downward
> reference.
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-precis-framework/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-precis-framework/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 23 Apr 2014 18:37:55 -0600

> This document requests the creation of three registries in support of the PRECIS Framework.  As far as IANA can tell, there have never been registries created for PRECIS in the past.

Correct.

> IANA Question --> should the three registries that are requested in this document be combined into a singlee, high-level PRECIS master registry where the three new registries would reside?

That seems reasonable.

These PRECIS registries are very similar to the IDNA registries:

http://www.iana.org/assignments/idna-tables-6.3.0/idna-tables-6.3.0.xhtml

As much as possible, I would respectfully suggest that we follow the 
same practices here as for the IDNA registries.

> Is PRECIS a brand new parameter, or a new protocol of an existing one?

PRECIS is a brand new protocol, similar to IDNA but applying more generally.

> If the former that PRECIS is a brand new parameter, what’s the exact name of the new registry?  Is Preparation and Comparison of Internationalized Strings in Application Protocols?

That seems good to me.

> QUESTION: Are the authors intended to get an DE before IESG Approval?

Pete Resnick is following up on this.

> Specification: Section 3.3 of [ RFC-to-be ].

Correct, except the second instance of "Section 3.3" is incorrect in the 
I-D and should be "Section 3.2".

> IANA Question -> Are there to be any initial registrations in the new PRECIS Profiles Registry?

No. However, just so you are aware, registrations are forthcoming in the 
following I-Ds:

draft-ietf-precis-nickname
draft-ietf-precis-saslprepbis
draft-ietf-xmpp-6122bis

> IANA understands that these three actions are the only ones that need to be completed upon approval of this document.

Agreed.

> This message is only to confirm what actions will be performed.

Thank you, Pearl!

Peter

---

From: "Pearl Liang via RT" <[email-masked]>
Date: Thu, 24 Apr 2014 16:36:39 +0000

Hi,

Please see inline comments.

On Thu Apr 24 00:56:22 2014, [email-masked] wrote:
> > IANA has reviewed draft-ietf-precis-framework.  Authors should
>    review the comments and/or questions below.  Please report any
>    inaccuracies and respond to any questions as soon as possible.
> >
> > This document requests the creation of three registries in support
>    of the PRECIS Framework.  As far as IANA can tell, there have never
>    been registries created for PRECIS in the past.
> 
> Correct.
> 
> > IANA Question --> should the three registries that are requested in
>    this document be combined into a singlee, high-level PRECIS master
>    registry where the three new registries would reside?
> 
> That seems reasonable.
> 

WOW.  Are you saying that new versions of PRECIS Derived Property Values
will be announced via a public notification mailing list, similar 
to the announcement for new version so Unicode?  

That idna table registry was setup, configured and coded by Marc's team.  
If that is the format, Marc's team needs to create that tool to
generate every new version of this registry.

> > If the former that PRECIS is a brand new parameter, what’s the exact
>    name of the new registry?  Is Preparation and Comparison of
>    Internationalized Strings in Application Protocols?
> 
> That seems good to me.
> 

Can you please add this information in section 9 before 9.1?

> > First, IANA will create a new registry called the PRECIS Derived
>    Property Value Registry. This new registry will contain the Derived
>    Properties for the versions of Unicode that are released after (and
>    including) version 6.3 of Unicode. The derived property value is to
>    be calculated in cooperation with a designated expert [RFC5226]
>    according to the rules specified under Section 7 and Section 8 in
>    the current document. The registry will only be created when a
>    designated expert is made available to assist IANA in the
>    initiation of the registry. Changes to the rules that are used to
>    generate the table of derived property values, and thus the
>    registry itself, are done through IETF Review as defined by RFC
>    5226.
> >

Sure.

> > Second, IANA will create a new registry called the PRECIS Base
>    Classes Registry. This new registry has a registration template in
>    the document submitted for approval. Maintenance of the registry
>    will be through RFC Required, as defined in RFC 5226.
> >
> > Third, IANA will create a new registry called the PRECIS Profiles
>    Registry. This new registry has a registration template in the
>    document submitted for approval. Maintenance of the registry will
>    be through Expert Review, as defined in RFC 5226.
> >

No, we do not know and we have no way to track what registrations 
are tied to what I-Ds.  So, it'd be helpful if:

- the authors of those I-Ds identify this document draft-ietf-precis-framework
in the IC section for reference.  We mainly focus on the IC section
and will notice related I-Ds if they are being cited in the section.

- the precis WG chairs can help to coordinate all I-Ds that will
update the same registry.

> > IANA understands that these three actions are the only ones that
>    need to be completed upon approval of this document.
> 
> Agreed.
>